Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTextDrag Class Reference

The TQTextDrag class is a drag and drop object for transferring plain and Unicode text. More...

`#include <ntqdragobject.h>`

Inherits TQDragObject.

List of all member functions.

## Public Members

- TQTextDrag ( const TQString & text, TQWidget * dragSource = 0, const char * name = 0 )
- TQTextDrag ( TQWidget * dragSource = 0, const char * name = 0 )
- ~TQTextDrag ()
- virtual void setText ( const TQString & text )
- virtual void setSubtype ( const TQCString & st )

## Static Public Members

- bool canDecode ( const TQMimeSource * e )
- bool decode ( const TQMimeSource * e, TQString & str )
- bool decode ( const TQMimeSource * e, TQString & str, TQCString & subtype )

## Detailed Description

The TQTextDrag class is a drag and drop object for transferring plain and Unicode text.

Plain text is passed in a TQString which may contain multiple lines (i.e. may contain newline characters). The drag target will receive the newlines according to the runtime environment, e.g. LF on Unix, and CRLF on Windows.

TQt provides no built-in mechanism for delivering only a single-line.

For more information about drag and drop, see the TQDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

## Member Function Documentation

### TQTextDrag::TQTextDrag ( const TQString & text, TQWidget * dragSource = 0, const char * name = 0 )

Constructs a text drag object and sets its data to text. dragSource must be the drag source; name is the object name.

### TQTextDrag::TQTextDrag ( TQWidget * dragSource = 0, const char * name = 0 )

Constructs a default text drag object. dragSource must be the drag source; name is the object name.

### TQTextDrag::~TQTextDrag ()

Destroys the text drag object and frees up all allocated resources.

### bool TQTextDrag::canDecode ( const TQMimeSource * e )`[static]`

Returns TRUE if the information in e can be decoded into a TQString; otherwise returns FALSE.

See also decode().

Example: iconview/simple_dd/main.cpp.

### bool TQTextDrag::decode ( const TQMimeSource * e, TQString & str )`[static]`

Attempts to decode the dropped information in e into str. Returns TRUE if successful; otherwise returns FALSE.

See also canDecode().

Example: iconview/simple_dd/main.cpp.

### bool TQTextDrag::decode ( const TQMimeSource * e, TQString & str, TQCString & subtype )`[static]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Attempts to decode the dropped information in e into str. Returns TRUE if successful; otherwise returns FALSE. If subtype is null, any text subtype is accepted; otherwise only the specified subtype is accepted.

See also canDecode().

### void TQTextDrag::setSubtype ( const TQCString & st )`[virtual]`

Sets the MIME subtype of the text being dragged to st. The default subtype is "plain", so the default MIME type of the text is "text/plain". You might use this to declare that the text is "text/html" by calling setSubtype("html").

### void TQTextDrag::setText ( const TQString & text )`[virtual]`

Sets the text to be dragged to text. You will need to call this if you did not pass the text during construction.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.